Загрузка стоит на "Reached target graphical interface" после обновления xorg

yurius
Я не против подождать
Пустой наш разговор. Целых 3 листа. Не хочешь ждать, пиши библиотеки и модули сам. Нахрена извращаться, если можно подождать, ведь работает.
К слову, у меня и с nouveau не работает.
Lightdm запускается, но при входе в xfce xorg крошится с Segmentation fault.
Видяшка Radeon HD 7850, дрова и меса из mesa-git крайние. Все прекрасно обновилось и работает
https://github.com/warlock90000/awesome
genues
у меня и с nouveau не работает
А не пробовали после удаления всех нвидиа заново переустановить xorg-server, xorg-xinit и xorg-drivers? Вроде одним удалением нвидиа не переключиться на нуво даже после перезагрузки. Надо пересобирать вроде. А так я тупо откатился до старого xorg-server и xorg-server-common, работает. По 2 раза перепроверял все варианты. Даже нвидию пробовал откатить. Заняться нечем было.
warlock9000
Видяшка Radeon HD 7850, дрова и меса из mesa-git крайние. Все прекрасно обновилось и работает
Кстати, да. У пахана на ноуте тоже Radeon, только что попробовал обновить, всё отлично, без запинок. Похоже, тока с Nvidia такие проблемы. Не исключено, что каким-то боком тут встревает новость об отказе от Nvidia 400/500 серии, xorg-server чуть, видать, из-за этого запилили. Сейчас смотрел, при обновлении на ноуте тоже мелькали какие-то xf86-video-voodoo, xf86-video-vmware. При откате xorg-server до 1.19 pacman предложил мне от них избавится. Я удалил. Все хорошо.
valentoss78
genues
у меня и с nouveau не работает
А не пробовали после удаления всех нвидиа
У меня не стоит nvidia дров, у меня изначально nouveau.
Я тоже пока откатился и жду, что будет дальше.
genues
К слову, у меня и с nouveau не работает.
Lightdm запускается, но при входе в xfce xorg крошится с Segmentation fault.
Причем, это только xfce.
Если пересобрать xfwm4 с опцией --disable-compositor , то загружается.
----------
xfwm4-4.12.4-1-x86_64.pkg.tar.xz
Та же беда с nvidia-340xx.
valera_cr
Причем, это только xfce.
И похоже только с nvidia. На другом компе с встроенной графикой Intel всё нормально.
Простите что раньше не зашел в это топик, но, народ, не ломайте копья! У xorg-server* 1.20 версия ABI - 24, у текущего драйвера nvidia - 23. Пока nvidia не подгонит драйвер под новый xorg - ничего не будет. Тут писал.
Пива много не бывает.
 
Зарегистрироваться или войдите чтобы оставить сообщение.